local L = AceLibrary("AceLocale-2.2"):new("ActionCombat")

L:RegisterTranslations("deDE", function() return {
  -- The following events are SELFBUFF EVENTS, they are
  -- detected if you get the corresponding buff.

  -- Warlock
  ["Shadow Trance"] = "Schattentrance",
  ["Eradication"] = "Ausrottung",
  ["Flameshadow"] = "Flammenschatten",
  ["Shadowflame"] = "Schattenflamme",
  -- Paladin
  ["Divine Shield"] = "Gottesschild",
  ["Divine Protection"] = "Göttlicher Schutz",
  -- Warrior
  ["Flurry"] = "Schlaghagel",
  ["Berserker Rage"] = "Berserkerwut",
  ["Retaliation"] = "Gegenschlag",
  ["Death Whish"] = "Todeswunsch",
  ["Shield Wall"] = "Schildwall",
  ["Last Stand"] = "Letzes Gefecht",
  ["Recklessness"] = "Tollkühnheit",
  ["Spell Reflection"] = "Zauberreflexion",
  ["Enrage"] = "Wutanfall",
  -- Druid
  ["Nature's Grace"] = "Anmut der Natur",
  ["Eclipse"] = "Finsternis",
  ["Owlkin Frenzy"] = "Eulkinraserei",
  ["Tiger's Fury"] = "Tigerfuror",
  -- Hunter
  ["The Beast Within"] = "Wildes Herz",
  ["Feign Death"] = "Todstellen",
  ["Rapid Fire"] = "Schnellfeuer",
  ["Rapid Killing"] = "Schneller Tod",
  ["Quick Shots"] = "Schnelle Schüsse",
  -- Race
  ["Berserking"] = "Berserker",
  -- Misc
  ["Clearcasting"] = "Freizaubern",
  ["Power Word: Shield"] = "Machtwort: Schild",
  ["Blessing of Protection"] = "Segen des Schutzes",
  ["Prayer of Mending"] = "Gebet der Besserung",
  ["Pain Suppression"] = "Schmerzunterdrückung",
  -- Trinkets
  ["Spell Power"] = "Zauberkraft",
  ["Arcane Energy"] = "Arkane Energie",
  ["Focused Power"] = "Fokussierte Macht",
  ["Ferocity"] = "Wildheit",
  ["Heroism"] = "Heldentum",
  ["Vigilance of the Colossus"] = "Wachsamkeit des Kolosses",
  ["Crusade Aura"] = "Aura des Kreuzzugs",
  ["Enlightenment"] = "Erleuchtung",
  ["Time's Favor"] = "Gunst der Zeit",
  ["Rage of the Unraveller"] = "Zorn des Entwirrers",
  -- Heroic trinkets
  ["Blessing of the Silver Crescent"] = "Segen des Silberwappens",
  ["Gnome Ingenuity"] = "Scharfsinn der Gnome",
  ["Lust for Battle"] = "Kampfeslust",
  -- Enchants
  ["Lightning Speed"] = "Blitzschnell",

  -- The next set of events are REACTIVE ABILITIES. They
  -- happen during combat.

  -- Warrior
  ["Overpower"] = "Überwältigen",
  ["Execute"] = "Hinrichten",
  ["Revenge"] = "Rache",
  ["Victory Rush"] = "Siegesrausch",
  -- Hunter
  ["Kill Command"] = "Fass!",
  -- Death Knight
  ["Rune Strike"] = "Runenstoß",

  -- Class translations
  ["CLASS_WARRIOR"] = "Krieger",
  ["CLASS_WARLOCK"] = "Hexenmeister",
  ["CLASS_DRUID"] = "Druide",
  ["CLASS_SHAMAN"] = "Schamane",
  ["CLASS_MAGE"] = "Magier",
  ["CLASS_HUNTER"] = "Jäger",
  ["CLASS_PALADIN"] = "Paladin",
  ["CLASS_PRIEST"] = "Priester",
  ["CLASS_ROGUES"] = "Schurke",
  ["CLASS_DEATHKNIGHT"] = "Todesritter",
  ["CLASS_ANY"] = "Alle Klassen",

  -- Menu translations
  ["MENU_DEBUG_DESC"] = "Aktiviert/deaktiviert den Debugmodus",
  ["MENU_DEBUG_NAME"] = "Debug-Modus",

  ["MENU_ENABLED_DESC"] = "Aktiviert/deaktiviert die visuelle Komponente des Addons",
  ["MENU_ENABLED_NAME"] = "Animationen aktiviert",

  ["MENU_WINDOW_POS_NAME"] = "Animations-Positionen",
  ["MENU_WINDOW_POS_DESC"] = "Konfiguriert die Positionen der Animations-Fenster",
  ["MENU_WINDOW_MAIN_NAME"] = "Hauptfenster",
  ["MENU_WINDOW_NOTICE_NAME"] = "Benachrichtigungen",

  ["MENU_HIDE_ERROR_FRAME_NAME"] = "Blizzard Fehler verstecken",
  ["MENU_HIDE_ERROR_FRAME_DESC"] = "Versteckt den Fehlerframe, um Nachrichten wie \"Ihr habt kein Ziel.\" auszublenden",

  ["MENU_SHOWBUFFS_DESC"] = "Gibt die Namen und Texturen der aktuellen Spieler-Buffs aus (debugging)",
  ["MENU_SHOWBUFFS_NAME"] = "Buffs auflisten (debugging)",

  ["MENU_BUFFEVENTS_DESC"] = "Konfiguriert Buff-Ereignisse",
  ["MENU_BUFFEVENTS_NAME"] = "Buff-Ereignisse",
  ["MENU_REACTIVES_DESC"] = "Konfiguriert reaktive Ereignisse",
  ["MENU_REACTIVES_NAME"] = "Reaktive Ereignisse",

  ["MENU_CLICK_TO_TOGGLE"] = "Klicken, um dieses Ereignis ein- bzw. auszuschalten",
  ["MENU_CLICK_TO_DELETE"] = "Klicken, um diesen Eintrag zu entfernen",

  ["MENU_FADE_OUTOF_COMBAT_NAME"] = "Außerhalb vom Kampf ausblassen",
  ["MENU_FADE_OUTOF_COMBAT_DESC"] = "Verblasst die Animationen, wenn sich der Spieler nicht im Kampf befindet",
  ["MENU_FADE_OUTOF_MEELE_COMBAT_NAME"] = "Außerhalb vom Nahkampf ausblassen",
  ["MENU_FADE_OUTOF_MEELE_COMBAT_DESC"] = "Verblasst die Animationen, wenn sich der Spieler nicht im Nahkampf (Meele Combat) befindet",

  ["MENU_USER_BUFFS_NAME"] = "Benutzerdefinierte Buffs",
  ["MENU_USER_BUFFS_DESC"] = "Verwaltung von benutzerdefinierten Buffs",
  ["MENU_INSERT_USER_BUFF_NAME"] = "Buff hinzufügen",
  ["MENU_INSERT_USER_BUFF_DESC"] = "Einen Buff der Liste von benutzerdefinierten Buffs hinzufügen",
  ["MENU_DELETE_USER_BUFF_NAME"] = "Buff entfernen",
  ["MENU_DELETE_USER_BUFF_DESC"] = "Einen Buff von der Liste von benutzerdefinierten Buffs entfernen",
  ["MENU_MISC_EVENTS_NAME"] = "Sonstige Ereignisse",
  ["MENU_MISC_EVENTS_DESC"] = "Weitere Ereignisse, die aktiviert/deaktiviert werden können",
  ["MENU_SHOW_KILLING_BLOWS_NAME"] = "Todesstöße anzeigen",
  ["MENU_SHOW_KILLING_BLOWS_DESC"] = "Zeigt eine Animation an, wenn ein Todesstoß gelandet wurde",
} end)

