local L = AceLibrary("AceLocale-2.2"):new("ActionCombat")

L:RegisterTranslations("enUS", function() return {
  -- The following events are SELFBUFF EVENTS, they are
  -- detected if you get the corresponding buff.

  -- Warlock
  ["Shadow Trance"] = true,
  ["Eradication"] = true,
  ["Flameshadow"] = true,
  ["Shadowflame"] = true,
  -- Paladin
  ["Divine Shield"] = true,
  ["Divine Protection"] = true,
  -- Warrior
  ["Flurry"] = true,
  ["Berserker Rage"] = true,
  ["Retaliation"] = true,
  ["Death Whish"] = true,
  ["Shield Wall"] = true,
  ["Last Stand"] = true,
  ["Recklessness"] = true,
  ["Spell Reflection"] = true,
  ["Enrage"] = true,
  -- Druid
  ["Nature's Grace"] = true,
  ["Eclipse"] = true,
  ["Owlkin Frenzy"] = true,
  ["Tiger's Fury"] = true,
  -- Hunter
  ["The Beast Within"] = true,
  ["Feign Death"] = true,
  ["Rapid Fire"] = true,
  ["Rapid Killing"] = true,
  ["Quick Shots"] = true,
  -- Race
  ["Berserking"] = true,
  -- Misc
  ["Clearcasting"] = true,
  ["Power Word: Shield"] = true,
  ["Blessing of Protection"] = true,
  ["Prayer of Mending"] = true,
  ["Pain Suppression"] = true,
  -- Trinkets
  ["Spell Power"] = true,
  ["Arcane Energy"] = true,
  ["Focused Power"] = true,
  ["Ferocity"] = true,
  ["Heroism"] = true,
  ["Vigilance of the Colossus"] = true,
  ["Crusade Aura"] = true,
  ["Enlightenment"] = true,
  ["Time's Favor"] = true,
  ["Rage of the Unraveller"] = true,
  -- Heroic trinkets
  ["Gnome Ingenuity"] = true,
  ["Blessing of the Silver Crescent"] = true,
  ["Lust for Battle"] = true,
  -- Enchants
  ["Lightning Speed"] = true,

  -- The next set of events are REACTIVE ABILITIES. They
  -- happen during combat.

  -- Warrior
  ["Overpower"] = true,
  ["Execute"] = true,
  ["Revenge"] = true,
  ["Victory Rush"] = true,
  -- Hunter
  ["Kill Command"] = true,
  -- Death Knight
  ["Rune Strike"] = true,

  -- Class translations
  ["CLASS_WARRIOR"] = "Warrior",
  ["CLASS_WARLOCK"] = "Warlock",
  ["CLASS_DRUID"] = "Druid",
  ["CLASS_SHAMAN"] = "Shaman",
  ["CLASS_MAGE"] = "Mage",
  ["CLASS_HUNTER"] = "Hunter",
  ["CLASS_PALADIN"] = "Paladin",
  ["CLASS_PRIEST"] = "Priest",
  ["CLASS_ROGUES"] = "Rogues",
  ["CLASS_DEATHKNIGHT"] = "Death Knight",
  ["CLASS_ANY"] = "All classes",

  -- Menu translations
  ["MENU_DEBUG_DESC"] = "Enables/disables debug messages",
  ["MENU_DEBUG_NAME"] = "Debug mode",

  ["MENU_ENABLED_DESC"] = "Enables/disables the visual component of the addon",
  ["MENU_ENABLED_NAME"] = "Animations activated",

  ["MENU_WINDOW_POS_NAME"] = "Animation positions",
  ["MENU_WINDOW_POS_DESC"] = "Configures positions for the animation windows.",
  ["MENU_WINDOW_MAIN_NAME"] = "Main window",
  ["MENU_WINDOW_NOTICE_NAME"] = "Notice window",

  ["MENU_HIDE_ERROR_FRAME_NAME"] = "Hide Blizzard errors",
  ["MENU_HIDE_ERROR_FRAME_DESC"] = "Hides the Blizzard error frame to get rid of messages like \"You have no target.\", ...",

  ["MENU_SHOWBUFFS_DESC"] = "Prints names and textures of current buffs",
  ["MENU_SHOWBUFFS_NAME"] = "List buffs (debugging)",

  ["MENU_BUFFEVENTS_DESC"] = "Configures buff events",
  ["MENU_BUFFEVENTS_NAME"] = "Buff events",
  ["MENU_REACTIVES_DESC"] = "Configures reactive events",
  ["MENU_REACTIVES_NAME"] = "Reactive events",

  ["MENU_CLICK_TO_TOGGLE"] = "Click to toggle this event",
  ["MENU_CLICK_TO_DELETE"] = "Click to delete this entry",

  ["MENU_FADE_OUTOF_COMBAT_NAME"] = "Fade if out of combat",
  ["MENU_FADE_OUTOF_COMBAT_DESC"] = "Fade the animations if the player is out of combat",
  ["MENU_FADE_OUTOF_MEELE_COMBAT_NAME"] = "Fade if out of meele combat",
  ["MENU_FADE_OUTOF_MEELE_COMBAT_DESC"] = "Fade the animations if the player is out of meele combat",

  ["MENU_USER_BUFFS_NAME"] = "User defined buffs",
  ["MENU_USER_BUFFS_DESC"] = "Management of user defined buffs",
  ["MENU_INSERT_USER_BUFF_NAME"] = "Insert buff",
  ["MENU_INSERT_USER_BUFF_DESC"] = "Insert a buff to the list of user defined buffs",
  ["MENU_DELETE_USER_BUFF_NAME"] = "Remove buff",
  ["MENU_DELETE_USER_BUFF_DESC"] = "Remove a buff from the list of user defined buffs",
  ["MENU_MISC_EVENTS_NAME"] = "Miscellaneous events",
  ["MENU_MISC_EVENTS_DESC"] = "Further events to be activated/deactivated",
  ["MENU_SHOW_KILLING_BLOWS_NAME"] = "Show killing blows",
  ["MENU_SHOW_KILLING_BLOWS_DESC"] = "Shows an animation if a killing blow has been landed",
} end)

