﻿-- Huge thanks to the person who transated the strings and
-- makes this addon available for more languages.

local L = AceLibrary("AceLocale-2.2"):new("ActionCombat")

L:RegisterTranslations("koKR", function() return {
  -- The following events are SELFBUFF EVENTS, they are
  -- detected if you get the corresponding buff.

  -- Warlock
  ["Shadow Trance"] = "어둠의 무아지경",
  ["Eradication"] = "박멸",
  ["Flameshadow"] = "화염암흑",
  ["Shadowflame"] = "암흑불길",
  -- Paladin
  ["Divine Shield"] = "천상의 보호막",
  ["Divine Protection"] = "신의 가호",
  -- Warrior
  ["Flurry"] = "질풍",
  ["Berserker Rage"] = "광전사의 격노",
  ["Retaliation"] = "보복",
  ["Death Whish"] = "죽음의 소원",
  ["Shield Wall"] = "방패의 벽",
  ["Last Stand"] = "최후의 저항",
  ["Recklessness"] = "무모한 희생",
  ["Spell Reflection"] = "주문 반사",
  ["Enrage"] = "분노",
  -- Druid
  ["Nature's Grace"] = "자연의 은혜",
  ["Eclipse"] = "월식",
  ["Owlkin Frenzy"] = "올빼미야수의 광기",
  ["Tiger's Fury"] = "맹공격",
  -- Hunter
  ["The Beast Within"] = "내면의 야수",
  ["Feign Death"] = "죽은척하기",
  ["Rapid Fire"] = "속사",
  ["Rapid Killing"] = "신속한 사냥",
  ["Quick Shots"] = "신속 사격",
  -- Race
  ["Berserking"] = "광폭화",
  -- Misc
  ["Clearcasting"] = "정신 집중",
  ["Power Word: Shield"] = "신의 권능: 보호막",
  ["Blessing of Protection"] = "보호의 축복",
  ["Prayer of Mending"] = "회복의 기원",
  ["Pain Suppression"] = "고통 억제",
  -- Trinkets
  ["Spell Power"] = "주문 강화",
  ["Arcane Energy"] = "비전 에너지",
  ["Focused Power"] = "집중된 마력",
  ["Ferocity"] = "야수의 본성",
  ["Heroism"] = "영웅심",
  ["Vigilance of the Colossus"] = "거대괴수의 경계",
  ["Crusade Aura"] = "성전사의 오라",
  ["Enlightenment"] = "일깨움",
  ["Time's Favor"] = "시간의 선물",
  ["Rage of the Unraveller"] = "해결사의 분노",
  -- Heroic trinkets
  ["Gnome Ingenuity"] = "노움 발명품",
  ["Blessing of the Silver Crescent"] = "은빛 초승달의 축복",
  ["Lust for Battle"] = "전투의 욕망",
  -- Enchants
  ["Lightning Speed"] = "번개같은 속도",

  -- The next set of events are REACTIVE ABILITIES. They
  -- happen during combat.

  -- Warrior
  ["Overpower"] = "제압",
  ["Execute"] = "마무리 일격",
  ["Revenge"] = "복수",
  ["Victory Rush"] = "승리의 돌진",
  -- Hunter
  ["Kill Command"] = "살상 명령",
  -- Death Knight
  ["Rune Strike"] = "TRANSLATE_ME!", -- TODO

  -- Class translations
  ["CLASS_WARRIOR"] = "전사",
  ["CLASS_WARLOCK"] = "흑마법사",
  ["CLASS_DRUID"] = "드루이드",
  ["CLASS_SHAMAN"] = "주술사",
  ["CLASS_MAGE"] = "마법사",
  ["CLASS_HUNTER"] = "사냥꾼",
  ["CLASS_PALADIN"] = "성기사",
  ["CLASS_PRIEST"] = "사제",
  ["CLASS_ROGUES"] = "도적",
  ["CLASS_DEATHKNIGHT"] = "죽음의 기사",
  ["CLASS_ANY"] = "모든 직업",

  -- Menu translations
  ["MENU_DEBUG_DESC"] = "디버그 메시지를 사용하거나 사용하지 않습니다.",
  ["MENU_DEBUG_NAME"] = "디버그 방법",

  ["MENU_ENABLED_DESC"] = "시각적 요소를 사용하거나 사용하지 않습니다",
  ["MENU_ENABLED_NAME"] = "애니메이션 사용",

  ["MENU_WINDOW_POS_NAME"] = "애니메이션 위치",
  ["MENU_WINDOW_POS_DESC"] = "애니메이션 창의 위치를 설정합니다.",
  ["MENU_WINDOW_MAIN_NAME"] = "메인 창",
  ["MENU_WINDOW_NOTICE_NAME"] = "알림 창",

  ["MENU_HIDE_ERROR_FRAME_NAME"] = "Blizzard 오류 숨김",
  ["MENU_HIDE_ERROR_FRAME_DESC"] = "Blizzard 오류 메시지 메시지를 표시하지 않습니다.\"먼저 올바른 대상을 선택해야 합니다.\", ...",

  ["MENU_SHOWBUFFS_DESC"] = "현재 버프의 이름과 텍스처를 출력합니다.",
  ["MENU_SHOWBUFFS_NAME"] = "버프 목록 (디버깅)",

  ["MENU_BUFFEVENTS_DESC"] = "버프 이벤트 설정합니다.",
  ["MENU_BUFFEVENTS_NAME"] = "버프 이벤트",
  ["MENU_REACTIVES_DESC"] = "반응 이벤트 설정합니다.",
  ["MENU_REACTIVES_NAME"] = "반응 이벤트",

  ["MENU_CLICK_TO_TOGGLE"] = "이 이벤트를 사용하려면 클릭합니다.",
  ["MENU_CLICK_TO_DELETE"] = "이 엔트리를 삭제하려면 클릭합니다.",

  ["MENU_FADE_OUTOF_COMBAT_NAME"] = "비전투 중 사라짐",
  ["MENU_FADE_OUTOF_COMBAT_DESC"] = "만약 플레이어가 비전투 상태라면 애니메이션이 점점 사라집니다.",
  ["MENU_FADE_OUTOF_MEELE_COMBAT_NAME"] = "근접 비전투 중 사라짐",
  ["MENU_FADE_OUTOF_MEELE_COMBAT_DESC"] = "만약 플레이어가 근접 비전투 상태라면 애니메이션이 점점 사라집니다.",

  ["MENU_USER_BUFFS_NAME"] = "사용자 버프 관리",
  ["MENU_USER_BUFFS_DESC"] = "사용자 버프 정의를 관리합니다.",
  ["MENU_INSERT_USER_BUFF_NAME"] = "버프 추가",
  ["MENU_INSERT_USER_BUFF_DESC"] = "사용자 정의 버프 목록에 버프를 추가합니다.",
  ["MENU_DELETE_USER_BUFF_NAME"] = "버프 제거",
  ["MENU_DELETE_USER_BUFF_DESC"] = "사용자 정의 버프 목록에서 버프를 제거합니다.",
  ["MENU_MISC_EVENTS_NAME"] = "기타 이벤트",
  ["MENU_MISC_EVENTS_DESC"] = "기타 이벤트를 사용하거나 사용하지 않습니다.",
  ["MENU_SHOW_KILLING_BLOWS_NAME"] = "결정타 표시",
  ["MENU_SHOW_KILLING_BLOWS_DESC"] = "결정타시 애니메이션을 표시합니다.",
} end)
